commit:     8d85024367dd1e86616628d9efd90933581f4cc4
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Thu Feb 20 02:06:07 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Feb 26 16:17:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d850243

app-crypt/tpm2-totp: Bump version to 0.2.1

Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-crypt/tpm2-totp/Manifest               |  1 +
 app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild | 34 ++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/app-crypt/tpm2-totp/Manifest b/app-crypt/tpm2-totp/Manifest
index 4c6b8deaba8..db6a6311864 100644
--- a/app-crypt/tpm2-totp/Manifest
+++ b/app-crypt/tpm2-totp/Manifest
@@ -1 +1,2 @@
 DIST tpm2-totp-0.1.1.tar.gz 357787 BLAKE2B 
c7a24b30c155cfd5387180a2c8584497327eadd701068aa5eb3c385bbadf26f448f88c238849fbf68c4e7265f01d3783b3aa50a912070df1c2fd4485310f2299
 SHA512 
33a4af16a292ddd674a399bf12ce0b355d95de7014e8be11816a1d88edfd36ae222a8b7508f3aa1be3b46c7e04bf2712ee4839cf9f4f83fc308cb4f639ec5b9f
+DIST tpm2-totp-0.2.1.tar.gz 427226 BLAKE2B 
e6a9dbcdac4d7fc31048aff968e3eea097752c79a3c1b8551d22558a6b143a758e7bb507722185c648000f4b1edd2f0bbdd443890b5763b297f3d42cfbd84d9d
 SHA512 
2bda34e89b76319a40206e08c0208b0f139309c0b0e40e7168b5e7562096750df504dfcae3a39e6f82fdccbf7a79ed0802d115fbd7560dc3f5b52d81fe8fb59c

diff --git a/app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild 
b/app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild
new file mode 100644
index 00000000000..b71028505e0
--- /dev/null
+++ b/app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Attest the trustworthiness of a device against a human using 
time-based OTP"
+HOMEPAGE="https://github.com/tpm2-software/tpm2-totp";
+SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/v${PV}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND=">=app-crypt/tpm2-tss-2.0:=
+       media-gfx/qrencode:="
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --disable-defaultflags
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to